#
# spec file for package rubygem-ffi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ffi
Version:        1.9.10
Release:        6.16
%define mod_name ffi
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  libffi-devel
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://wiki.github.com/ffi/ffi
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-ffi-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Ruby FFI
License:        BSD-3-Clause
Group:          Development/Languages/Ruby

%description
Ruby FFI library.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Wed Jul  1 2015 coolo@suse.com
- updated to version 1.9.10
  see installed ChangeLog
* Sat Jun 27 2015 coolo@suse.com
- updated to version 1.9.9
  see installed ChangeLog
* Wed Mar 18 2015 coolo@suse.com
- updated to version 1.9.8, no changelog
* Fri Nov 21 2014 opensuse_buildservice@ojkastl.de
- manual dependency libffi-devel and rpmlintrc now in gem2rpm.yml
* Fri Nov 21 2014 opensuse_buildservice@ojkastl.de
- adapted to new packaging scheme, regenerated spec with gem2rpm, readded libffi-devel
* Fri Nov 21 2014 opensuse_buildservice@ojkastl.de
- update to version 1.9.6
* Tue Jul 22 2014 dmacvicar@suse.de
- remove rdoc buildrequires to build with older
  rubies including rdoc. It is still pulled otherwise
* Thu Feb  6 2014 coolo@suse.com
- updated to version 1.9.3
* Thu Oct 31 2013 coolo@suse.com
- updated to version 1.9.3, changed license to BSD
* Sat Jun 15 2013 coolo@suse.com
- updated to version 1.9.0, no changelog
* Wed Apr 24 2013 coolo@suse.com
- updated to version 1.8.1, no changelog
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.7.0
* Tue Mar 26 2013 coolo@suse.com
- remove rm, it's done by gem_cleanup now
* Sat Mar 23 2013 coolo@suse.com
- updated to version 1.5.0, no changelog
* Sun Mar  3 2013 coolo@suse.com
- updated to version 1.4.0
* Fri Jan 25 2013 coolo@suse.com
- updated to version 1.3.1
* Tue Jan  8 2013 coolo@suse.com
- updated to version 1.3.0
* Wed Nov 21 2012 coolo@suse.com
- updated to version 1.2.0
* Thu Aug  9 2012 coolo@suse.com
- updated to version 1.1.5
* Sat Aug  4 2012 coolo@suse.com
- updated to version 1.1.4, more updates for libffi
* Fri Aug  3 2012 coolo@suse.com
- updated to version 1.1.3, fix compilation
* Mon Jul 30 2012 coolo@suse.com
- update to 1.1.2 - fixes for arm
* Sat Jul 28 2012 coolo@suse.com
- updated to 1.1.1 - no changelog
* Sun Jul 22 2012 coolo@suse.com
- update to 1.1.0 - no changelog
* Fri Jun 29 2012 cfarrell@suse.com
- license update: LGPL-3.0
  See https://github.com/ffi/ffi/blob/master/LICENSE
* Wed Apr  4 2012 coolo@suse.com
- update to 1.0.11 - no changelog
* Wed Mar 28 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Wed Aug 24 2011 fcastelli@novell.com
- fix license
- add 'provides' macros
* Sun May 22 2011 dmacvicar@suse.de
- update to 1.0.9
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.6.3
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Sun Feb 14 2010 dmacvicar@novell.com
- update to 0.6.0
* Thu Dec 17 2009 dmacvicar@novell.com
- Update to 0.5.4
  * bugfix in extconf.rb when appending to $CFLAGS
- from 0.5.3
  * fixes powerpc, cywin and FreeBSD installation/build
    problems
- from 0.5.2
  * Fedora fixes
* Tue Nov  3 2009 dmacvicar@novell.com
- Update to 0.5.1
  * This is a bug fix release for variadic functions which return
    structures by value
* Tue Oct 13 2009 dmacvicar@novell.com
- Update to 0.5.0
  * Major improvements
  * New Function class
  * Structs can be passed and returned by value
  * Implement a custom trampoline for x86_64, resulting in roughly 30%% speedup
  * Improve dispatch of functions which take (0..6) char/short/int/long/pointer arguments by between 50%% and 200%% on x86_64
  * Callbacks are now approximately 100%% faster on x86_64
  * Minor improvements
  * Add support for MacOSX Snow Leopard
  * Improve support for Windows releasing fat binaries on rubyforge
  * Better introspection in structs:
  * Add StructLayout::Field#type, size, offset, alignment and name
    methods
  * Add StructLayout#fields which returns an array of
    StructLayout::Field objects
  * Add automagic deducing of library name from module name.
    Idea and prototype implementation from Matt Hulse
  * Callback fields in structs can now be both read and written
  * Add a bunch of new benchmarks
  * Lots of refactoring
  * Experimental features
  * blocking functions (i.e. native code that blocks the thread) support
  * Bug fixes
  * Fix RUBY-FFI_43 (rake gem dependency)
* Wed Aug 12 2009 dmacvicar@novell.com
- update to 0.4.0
  * Add support for boolean types
  * Add support for methods as callbacks
  * Add FFI::IO.read as described in JRUBY-3636
  * Add Pointer::NULL constant
  * Add AbstractMemory#get_array_of_string()
  * Implement Pointer.new(address) and Pointer.new(:type, address)
  * Fix RUBY_FFI-38
  * Fix build issues
* Sun Jul 26 2009 dmacvicar@novell.com
- initial package for 0.3.5
